﻿using System;
using System.Windows.Forms;

namespace EncryptingWindowsFormsSettings
{
    public partial class Form1 : Form
    {
        private AppSettings _appSettings;

        public Form1()
        {
            InitializeComponent();
            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // get an instance of the AppSettings object
            _appSettings = new AppSettings();

            // bind the 'Text' property of textBoxPassword with the 'Password' property of _appSettings
            textBoxPassword.DataBindings.Add(new Binding("Text", _appSettings, "Password"));
        }

        private void ButtonCloseClick(object sender, EventArgs e)
        {

            label3.Text = @"Your settings are saved.

Search for 'user.config' under 'C:\Users\CurrentUserName\AppData\Local\Microsoft' or 
C:\Users\CurrentUserName\AppData\Roaming\Microsoft folder.

The location of the file sligthly differs from different installations.

For more information go to http://msdn.microsoft.com/en-us/library/8eyb2ct1.aspx";
            _appSettings.Save();
        }
    }
}
